package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Corrida;

public class RenderRelatorioOrigemDestinoCorrida implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Corrida corrida = (Corrida) o;

		Listcell lc = new Listcell(corrida.getId().getCorridaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(corrida.getOrigem().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(corrida.getDestino().getDescparada());
		lc.setParent(lstm);

		String numRuta = corrida.getRuta().getNumRuta();
		if (numRuta != null) {
			lc = new Listcell(numRuta.toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(corrida.getRuta().getDescruta());
		lc.setParent(lstm);

		lstm.setAttribute("data", corrida);
	}
}
